Package icyllis.modernui.text.style

# Class TabStopSpan.Standard

java.lang.Object
icyllis.modernui.text.style.TabStopSpan.Standard

All Implemented Interfaces:
  `ParagraphStyle`, `TabStopSpan`

Enclosing interface:
  `TabStopSpan`

public static class TabStopSpan.Standard extends Object implements TabStopSpan
The default implementation of TabStopSpan that allows setting the offset of the tab stop from the leading margin of the first line of text.

Let's consider that we have the following text: "\tParagraph text beginning with tab." and we want to move the tab stop with 100px. This can be achieved like this:

     SpannableString string = new SpannableString("\tParagraph text beginning with tab.");
     string.setSpan(new TabStopSpan.Standard(100), 0, string.length(),
     Spanned.SPAN_EXCLUSIVE_EXCLUSIVE);

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface icyllis.modernui.text.style.TabStopSpan

  `TabStopSpan.Standard`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Standard(int offset)`
  Constructs a `TabStopSpan.Standard` based on an offset.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getTabStop()`
  Returns the offset of the tab stop from the leading margin of the line, in pixels.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Standard

    public Standard(int offset)
    Constructs a `TabStopSpan.Standard` based on an offset.
    Parameters:
      `offset` - the offset of the tab stop from the leading margin of the line, in pixels

- ## Method Details

  - ### getTabStop

    public int getTabStop()
    Description copied from interface: `TabStopSpan`
    Returns the offset of the tab stop from the leading margin of the line, in pixels.
    Specified by:
      `getTabStop` in interface `TabStopSpan`
    Returns:
      the offset, in pixels